Compare commits

...

10 Commits

Author SHA1 Message Date
Taiki Endo
5129b57152 Release 2.6.11 2023-04-11 12:57:05 +09:00
Taiki Endo
3cd0f0ed94 Update release scripts (take 2) 2023-04-11 12:56:52 +09:00
Taiki Endo
1fe1e0ef01 Update dprint@latest to 0.35.4 2023-04-11 12:33:39 +09:00
Taiki Endo
7ef4fec011 Release 2.6.10 2023-04-07 13:34:39 +09:00
github-actions[bot]
a6cd5fac26 Update cargo-deny@latest to 0.13.8 (#99)
Co-authored-by: Taiki Endo <te316e89@gmail.com>
2023-04-07 13:08:04 +10:00
Taiki Endo
e0b88e5cc1 Release 2.6.9 2023-04-05 22:58:30 +09:00
Taiki Endo
2402df67ca Update tools/tidy.sh 2023-04-05 22:57:49 +09:00
Taiki Endo
4d6942468f Update cargo-llvm-cov@latest to 0.5.14 2023-04-05 22:56:47 +09:00
Taiki Endo
046c416559 Release 2.6.8 2023-04-05 13:28:24 +09:00
github-actions[bot]
88e9b610ea Update cargo-tarpaulin@latest to 0.25.2 (#97)
Co-authored-by: Taiki Endo <te316e89@gmail.com>
2023-04-05 13:22:48 +10:00
12 changed files with 233 additions and 80 deletions

View File

@@ -67,6 +67,7 @@ openwrt
riscv riscv
softfloat softfloat
sparcv sparcv
spirv
thumbeb thumbeb
thumbebv thumbebv
thumbv thumbv
@@ -89,12 +90,14 @@ bools
builtins builtins
bytecount bytecount
canonicalize canonicalize
concat
consts consts
ctypes ctypes
dealloc dealloc
deque deque
docsrs docsrs
doctest doctest
doctests
hasher hasher
impls impls
inlateout inlateout
@@ -148,6 +151,7 @@ powerset
proto proto
ranlib ranlib
readelf readelf
shellcheckrc
SIGABRT SIGABRT
SIGILL SIGILL
SIGINT SIGINT

View File

@@ -1,5 +1,4 @@
binstall binstall
bytecodealliance
coreutils coreutils
distro distro
doas doas
@@ -7,21 +6,15 @@ dprint
enablerepo enablerepo
epel epel
grcov grcov
jfrimmel
koalaman
libc libc
linkcheck linkcheck
mdbook mdbook
microdnf microdnf
mvdan
nextest nextest
protobuf
protoc protoc
protocolbuffers
pwsh pwsh
quickinstall quickinstall
rockylinux rockylinux
rustwasm
shellcheck shellcheck
shfmt shfmt
udeps udeps

View File

@@ -21,11 +21,10 @@ jobs:
contents: write contents: write
steps: steps:
- uses: actions/checkout@v3 - uses: actions/checkout@v3
with:
persist-credentials: false
- uses: taiki-e/create-gh-release-action@v1 - uses: taiki-e/create-gh-release-action@v1
with: with:
changelog: CHANGELOG.md changelog: CHANGELOG.md
title: $version title: $version
branch: 'main|v[0-9]+' branch: 'main|v[0-9]+'
token: ${{ secrets.GITHUB_TOKEN }} token: ${{ secrets.GITHUB_TOKEN }}
- run: ci/publish.sh

View File

@@ -10,6 +10,22 @@ Note: In this file, do not use the hard wrap in the middle of a sentence for com
## [Unreleased] ## [Unreleased]
## [2.6.11] - 2023-04-11
- Update `dprint@latest` to 0.35.4.
## [2.6.10] - 2023-04-07
- Update `cargo-deny@latest` to 0.13.8.
## [2.6.9] - 2023-04-05
- Update `cargo-llvm-cov@latest` to 0.5.14.
## [2.6.8] - 2023-04-05
- Update `cargo-tarpaulin@latest` to 0.25.2.
## [2.6.7] - 2023-04-04 ## [2.6.7] - 2023-04-04
- Update `cargo-llvm-cov@latest` to 0.5.13. - Update `cargo-llvm-cov@latest` to 0.5.13.
@@ -707,7 +723,11 @@ Note: This release is considered a breaking change because installing on version
Initial release Initial release
[Unreleased]: https://github.com/taiki-e/install-action/compare/v2.6.7...HEAD [Unreleased]: https://github.com/taiki-e/install-action/compare/v2.6.11...HEAD
[2.6.11]: https://github.com/taiki-e/install-action/compare/v2.6.10...v2.6.11
[2.6.10]: https://github.com/taiki-e/install-action/compare/v2.6.9...v2.6.10
[2.6.9]: https://github.com/taiki-e/install-action/compare/v2.6.8...v2.6.9
[2.6.8]: https://github.com/taiki-e/install-action/compare/v2.6.7...v2.6.8
[2.6.7]: https://github.com/taiki-e/install-action/compare/v2.6.6...v2.6.7 [2.6.7]: https://github.com/taiki-e/install-action/compare/v2.6.6...v2.6.7
[2.6.6]: https://github.com/taiki-e/install-action/compare/v2.6.5...v2.6.6 [2.6.6]: https://github.com/taiki-e/install-action/compare/v2.6.5...v2.6.6
[2.6.5]: https://github.com/taiki-e/install-action/compare/v2.6.4...v2.6.5 [2.6.5]: https://github.com/taiki-e/install-action/compare/v2.6.4...v2.6.5

View File

@@ -3,6 +3,15 @@ set -euxo pipefail
IFS=$'\n\t' IFS=$'\n\t'
cd "$(dirname "$0")"/.. cd "$(dirname "$0")"/..
bail() {
echo >&2 "error: $*"
exit 1
}
if [[ -z "${CI:-}" ]]; then
bail "this script is intended to call from release workflow on CI"
fi
git config user.name "Taiki Endo" git config user.name "Taiki Endo"
git config user.email "te316e89@gmail.com" git config user.email "te316e89@gmail.com"

74
ci/publish.sh Executable file
View File

@@ -0,0 +1,74 @@
#!/usr/bin/env bash
set -euo pipefail
IFS=$'\n\t'
cd "$(dirname "$0")"/..
# shellcheck disable=SC2154
trap 's=$?; echo >&2 "$0: Error on line "${LINENO}": ${BASH_COMMAND}"; exit ${s}' ERR
bail() {
echo >&2 "error: $*"
exit 1
}
if [[ -z "${CI:-}" ]]; then
bail "this script is intended to call from release workflow on CI"
fi
ref="${GITHUB_REF:-}"
if [[ "${ref}" != "refs/tags/"* ]]; then
bail "tag ref should start with 'refs/tags/'"
fi
tag="${ref#refs/tags/}"
git config user.name "Taiki Endo"
git config user.email "te316e89@gmail.com"
version="${tag}"
version="${version#v}"
tools=()
for tool in tools/codegen/base/*.json; do
tools+=("$(basename "${tool%.*}")")
done
# Aliases
tools+=(nextest)
# Not manifest-base
tools+=(valgrind)
(
set -x
major_version_tag="v${version%%.*}"
git checkout -b "${major_version_tag}"
git push origin refs/heads/"${major_version_tag}"
if git --no-pager tag | grep -Eq "^${major_version_tag}$"; then
git tag -d "${major_version_tag}"
git push --delete origin refs/tags/"${major_version_tag}"
fi
git tag "${major_version_tag}"
git checkout main
git branch -d "${major_version_tag}"
)
for tool in "${tools[@]}"; do
(
set -x
git checkout -b "${tool}"
sed -i -e "s/required: true/required: false/g" action.yml
sed -i -e "s/# default: #publish:tool/default: ${tool}/g" action.yml
git add action.yml
git commit -m "${tool}"
git push origin -f refs/heads/"${tool}"
if git --no-pager tag | grep -Eq "^${tool}$"; then
git tag -d "${tool}"
git push --delete origin refs/tags/"${tool}"
fi
git tag "${tool}"
git checkout main
git branch -D "${tool}"
)
done
set -x
git push origin --tags

View File

@@ -18,10 +18,24 @@
} }
}, },
"latest": { "latest": {
"version": "0.13.7" "version": "0.13.8"
}, },
"0.13": { "0.13": {
"version": "0.13.7" "version": "0.13.8"
},
"0.13.8": {
"x86_64_linux_musl": {
"checksum": "95b2b7eacc1e93b918969e8d9f25dad49ce079511401308b548f5fceeafeb896"
},
"x86_64_macos": {
"checksum": "950f36ddbb08c0686305f97196b450a99efd3bbea3553746b4f1b9942a5ab2b7"
},
"x86_64_windows": {
"checksum": "5cae60df4ab5a9c949a59f56cf101562b7a962fb2750b5e6aeb47e0d8799e962"
},
"aarch64_macos": {
"checksum": "6eeedd852be234c5b27359e7ce6c7da665511afb5d643c7ce8db660e08ca7bc1"
}
}, },
"0.13.7": { "0.13.7": {
"x86_64_linux_musl": { "x86_64_linux_musl": {

View File

@@ -17,10 +17,27 @@
} }
}, },
"latest": { "latest": {
"version": "0.5.13" "version": "0.5.14"
}, },
"0.5": { "0.5": {
"version": "0.5.13" "version": "0.5.14"
},
"0.5.14": {
"x86_64_linux_musl": {
"checksum": "688e56f78611f7866842f5b86e27672225b28c8a536c75d6c0a3fd67082474ea"
},
"x86_64_macos": {
"checksum": "8d4a93175d5ba0710a46ccab007444cea4c53406b4c0b6c6ae6916d1192ac333"
},
"x86_64_windows": {
"checksum": "5773b119db63bbbcb975ecd3e0c71ae548506d85312248d6d3e94758cf88bba6"
},
"aarch64_linux_musl": {
"checksum": "61b22ff22d95ca6af9c668c780fe2a23a519a44d1fab3de01adadfbb36cea54d"
},
"aarch64_macos": {
"checksum": "f98c5d4bc2f7b67328a82028bb78f0a67436ae81a4e2a7911fd4f18f572c434b"
}
}, },
"0.5.13": { "0.5.13": {
"x86_64_linux_musl": { "x86_64_linux_musl": {

View File

@@ -17,10 +17,27 @@
} }
}, },
"latest": { "latest": {
"version": "0.25.1" "version": "0.25.2"
}, },
"0.25": { "0.25": {
"version": "0.25.1" "version": "0.25.2"
},
"0.25.2": {
"x86_64_linux_musl": {
"checksum": "89f0f28baa818f445336da35c204206544b5e1160892ca0d5f50fe034abff771"
},
"x86_64_macos": {
"checksum": "fac48ad01a87435b35a0d04dbb5452929c72e3e28633ab0fb5740a50d113bf64"
},
"x86_64_windows": {
"checksum": "36cf0c7fcf1c1d589720e7409673535e46d734f9abf89ff179c964dbf24f56cc"
},
"aarch64_linux_musl": {
"checksum": "2600c6a6e8f6cdaf374fa492284ade31c4582f40f9c5ede1f726b743e144f9b6"
},
"aarch64_macos": {
"checksum": "3f615f38c18c32d10fdf85b73e5c5ee05c0308566d00d0b117c10175f659c504"
}
}, },
"0.25.1": { "0.25.1": {
"x86_64_linux_musl": { "x86_64_linux_musl": {

21
manifests/dprint.json generated
View File

@@ -20,10 +20,27 @@
} }
}, },
"latest": { "latest": {
"version": "0.35.3" "version": "0.35.4"
}, },
"0.35": { "0.35": {
"version": "0.35.3" "version": "0.35.4"
},
"0.35.4": {
"x86_64_linux_musl": {
"checksum": "a061268da99878970993d988b42de6324aea4cdce437fc1ca46ec51add4162dd"
},
"x86_64_macos": {
"checksum": "179234c542ffc1f26e2dffc62884809d1fd0e781b49f95b938410b1b6450c20c"
},
"x86_64_windows": {
"checksum": "50ac0366c5c20ace37fa2bef11f8826a5f68c1a28412b7751d89e38d7ce6c709"
},
"aarch64_linux_gnu": {
"checksum": "1a810a4c28934b6e281686ae53fe0e1eba973caec245df8004d4452ffc61d306"
},
"aarch64_macos": {
"checksum": "be2a5b698a0a4837a76a7626288a16e1c1f4153463f630845f9def43057f79e2"
}
}, },
"0.35.3": { "0.35.3": {
"x86_64_linux_musl": { "x86_64_linux_musl": {

View File

@@ -14,6 +14,14 @@ trap 's=$?; echo >&2 "$0: Error on line "${LINENO}": ${BASH_COMMAND}"; exit ${s}
# Note: This script requires the following tools: # Note: This script requires the following tools:
# - parse-changelog <https://github.com/taiki-e/parse-changelog> # - parse-changelog <https://github.com/taiki-e/parse-changelog>
x() {
local cmd="$1"
shift
(
set -x
"${cmd}" "$@"
)
}
bail() { bail() {
echo >&2 "error: $*" echo >&2 "error: $*"
exit 1 exit 1
@@ -40,6 +48,7 @@ if gh release view "${tag}" &>/dev/null; then
bail "tag '${tag}' has already been created and pushed" bail "tag '${tag}' has already been created and pushed"
fi fi
# Make sure that the release was created from an allowed branch.
if ! git branch | grep -q '\* main$'; then if ! git branch | grep -q '\* main$'; then
bail "current branch is not 'main'" bail "current branch is not 'main'"
fi fi
@@ -88,57 +97,11 @@ echo "======================================="
if [[ -n "${tags}" ]]; then if [[ -n "${tags}" ]]; then
# Create a release commit. # Create a release commit.
git add "${changelog}" x git add "${changelog}"
git commit -m "Release ${version}" x git commit -m "Release ${version}"
fi fi
tools=() x git tag "${tag}"
for tool in tools/codegen/base/*.json; do # TODO: the following still assumes admin permissions
tools+=("$(basename "${tool%.*}")") x git push origin main
done x git push origin --tags
# Aliases
tools+=(nextest)
# Not manifest-base
tools+=(valgrind)
(
set -x
git tag "${tag}"
git push origin main
git push origin --tags
major_version_tag="v${version%%.*}"
git checkout -b "${major_version_tag}"
git push origin refs/heads/"${major_version_tag}"
if git --no-pager tag | grep -Eq "^${major_version_tag}$"; then
git tag -d "${major_version_tag}"
git push --delete origin refs/tags/"${major_version_tag}"
fi
git tag "${major_version_tag}"
git checkout main
git branch -d "${major_version_tag}"
)
for tool in "${tools[@]}"; do
(
set -x
git checkout -b "${tool}"
sed -i -e "s/required: true/required: false/g" action.yml
sed -i -e "s/# default: #publish:tool/default: ${tool}/g" action.yml
git add action.yml
git commit -m "${tool}"
git push origin -f refs/heads/"${tool}"
if git --no-pager tag | grep -Eq "^${tool}$"; then
git tag -d "${tool}"
git push --delete origin refs/tags/"${tool}"
fi
git tag "${tool}"
git checkout main
git branch -D "${tool}"
)
done
set -x
git push origin --tags

View File

@@ -1,4 +1,5 @@
#!/usr/bin/env bash #!/usr/bin/env bash
# SPDX-License-Identifier: Apache-2.0 OR MIT
# shellcheck disable=SC2046 # shellcheck disable=SC2046
set -euo pipefail set -euo pipefail
IFS=$'\n\t' IFS=$'\n\t'
@@ -33,6 +34,9 @@ check_diff() {
fi fi
fi fi
} }
info() {
echo >&2 "info: $*"
}
warn() { warn() {
if [[ -n "${GITHUB_ACTIONS:-}" ]]; then if [[ -n "${GITHUB_ACTIONS:-}" ]]; then
echo "::warning::$*" echo "::warning::$*"
@@ -171,7 +175,9 @@ fi
# Spell check (if config exists) # Spell check (if config exists)
if [[ -f .cspell.json ]]; then if [[ -f .cspell.json ]]; then
if type -P npm &>/dev/null; then if type -P npm &>/dev/null; then
has_rust=''
if [[ -n "$(git ls-files '*Cargo.toml')" ]]; then if [[ -n "$(git ls-files '*Cargo.toml')" ]]; then
has_rust='1'
dependencies='' dependencies=''
for manifest_path in $(git ls-files '*Cargo.toml'); do for manifest_path in $(git ls-files '*Cargo.toml'); do
if [[ "${manifest_path}" != "Cargo.toml" ]] && ! grep -Eq '\[workspace\]' "${manifest_path}"; then if [[ "${manifest_path}" != "Cargo.toml" ]] && ! grep -Eq '\[workspace\]' "${manifest_path}"; then
@@ -179,24 +185,27 @@ if [[ -f .cspell.json ]]; then
fi fi
metadata=$(cargo metadata --format-version=1 --all-features --no-deps --manifest-path "${manifest_path}") metadata=$(cargo metadata --format-version=1 --all-features --no-deps --manifest-path "${manifest_path}")
for id in $(jq <<<"${metadata}" '.workspace_members[]'); do for id in $(jq <<<"${metadata}" '.workspace_members[]'); do
dependencies+=$'\n' dependencies+="$(jq <<<"${metadata}" ".packages[] | select(.id == ${id})" | jq -r '.dependencies[].name')"$'\n'
dependencies+=$(jq <<<"${metadata}" ".packages[] | select(.id == ${id})" | jq -r '.dependencies[].name')
done done
done done
# shellcheck disable=SC2001 # shellcheck disable=SC2001
dependencies=$(sed <<<"${dependencies}" 's/[0-9_-]/\n/g' | LC_ALL=C sort -f -u) dependencies=$(sed <<<"${dependencies}" 's/[0-9_-]/\n/g' | LC_ALL=C sort -f -u)
config_old=$(<.cspell.json)
config_new=$(grep <<<"${config_old}" -v ' *//' | jq 'del(.dictionaries[] | select(index("organization-dictionary") | not))' | jq 'del(.dictionaryDefinitions[] | select(.name == "organization-dictionary" | not))')
echo "${config_new}" >.cspell.json
words=$(npx <<<"${dependencies}" cspell stdin --no-progress --no-summary --words-only --unique || true)
echo "${config_old}" >.cspell.json
fi fi
config_old=$(<.cspell.json)
config_new=$(grep <<<"${config_old}" -v ' *//' | jq 'del(.dictionaries[] | select(index("organization-dictionary") | not))' | jq 'del(.dictionaryDefinitions[] | select(.name == "organization-dictionary" | not))')
echo "${config_new}" >.cspell.json
if [[ -n "${has_rust}" ]]; then
dependencies_words=$(npx <<<"${dependencies}" cspell stdin --no-progress --no-summary --words-only --unique || true)
fi
all_words=$(npx cspell --no-progress --no-summary --words-only --unique $(git ls-files | (grep -v '\.github/\.cspell/project-dictionary\.txt' || true)) || true)
# TODO: handle SIGINT
echo "${config_old}" >.cspell.json
cat >.github/.cspell/rust-dependencies.txt <<EOF cat >.github/.cspell/rust-dependencies.txt <<EOF
// This file is @generated by $(basename "$0"). // This file is @generated by $(basename "$0").
// It is not intended for manual editing. // It is not intended for manual editing.
EOF EOF
if [[ -n "${words:-}" ]]; then if [[ -n "${dependencies_words:-}" ]]; then
echo $'\n'"${words}" >>.github/.cspell/rust-dependencies.txt echo $'\n'"${dependencies_words}" >>.github/.cspell/rust-dependencies.txt
fi fi
check_diff .github/.cspell/rust-dependencies.txt check_diff .github/.cspell/rust-dependencies.txt
if ! grep -Eq "^\.github/\.cspell/rust-dependencies.txt linguist-generated" .gitattributes; then if ! grep -Eq "^\.github/\.cspell/rust-dependencies.txt linguist-generated" .gitattributes; then
@@ -204,8 +213,11 @@ EOF
fi fi
echo "+ npx cspell --no-progress --no-summary \$(git ls-files)" echo "+ npx cspell --no-progress --no-summary \$(git ls-files)"
npx cspell --no-progress --no-summary $(git ls-files) if ! npx cspell --no-progress --no-summary $(git ls-files); then
error "spellcheck failed: please fix uses of above words or add to .github/.cspell/project-dictionary.txt if correct"
fi
# Make sure the project-specific dictionary does not contain duplicated words.
for dictionary in .github/.cspell/*.txt; do for dictionary in .github/.cspell/*.txt; do
if [[ "${dictionary}" == .github/.cspell/project-dictionary.txt ]]; then if [[ "${dictionary}" == .github/.cspell/project-dictionary.txt ]]; then
continue continue
@@ -218,6 +230,20 @@ EOF
echo "=======================================" echo "======================================="
fi fi
done done
# Make sure the project-specific dictionary does not contain unused words.
unused=''
for word in $(grep -v '//.*' .github/.cspell/project-dictionary.txt || true); do
if ! grep <<<"${all_words}" -Eq -i "^${word}$"; then
unused+="${word}"$'\n'
fi
done
if [[ -n "${unused}" ]]; then
error "unused words in dictionaries; please remove the following words from .github/.cspell/project-dictionary.txt"
echo "======================================="
echo -n "${unused}"
echo "======================================="
fi
else else
warn "'npm' is not installed" warn "'npm' is not installed"
fi fi